# Lamasoo Internship Program
In this program, you are supposed to be able to search very well in the first place and reach an answer.

    1) WAP ( write a program ) converts a string to it's unicode. for example

    INPUT: abcsde $1e%
    OUTPUT: 1231945 $15%

    HINT: google about ascii codes

# answer : 
  
  <!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body id="body">

    hi .. test one .. converting to unicode 
    make some business 
    for more results in marketing area
    <input type="text" id="input">
    <input type="button" value="set value" id="btn">
    <script src="./app.js"></script>
</body>
</html>


var index = 0;
var code = 0;

document.getElementById('btn').addEventListener('click', ()=>{
    
    var data_in = document.getElementById('input').value ;
    const char_array = data_in.split("");

    var unicode = char_array.map((char)=>{
        
        console.log(char)

        code = char.charCodeAt(index)
        if (code >= 65 && code <= 90 ){
            return code - 64 ;
        }
        else if (code >= 97 && code <= 123){
            return code - 96 ;
        }
        else {
            return char ;
        }
        return code 
    })
    console.log(unicode)
    document.querySelector('body').insertAdjacentText("beforeend" , unicode.join(''));

})

